{% extends "base.html" %}
{% load i18n %}

{% block title %}{{ event.title }}{% endblock %}

{% block content %}
<div class="container">
    <div class="row no-gutters card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{{ event.title }}</h1>
                </div>
                <div class="card-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-4 col-lg-3 px-0 pr-md-2 pb-3">
                                {% if user in event.participants.all %}
                                <a class="btn btn-success btn-detail disabled" href="{% url 'events:check' pk=event.pk %}"><i
                                        class="fas fa-check fa-fw mr-1"></i>{% trans "Checked in" %}</a>
                                {% else %}
                                {% if event.can_check_in %}
                                <a class="btn btn-success btn-detail" href="{% url 'events:check' pk=event.pk %}"><i
                                        class="fas fa-check fa-fw mr-1"></i>{% trans "Check in" %}</a>
                                {% endif %}
                                {% endif %}
                                {% if perms.events.manage_events %}
                                <a class="btn btn-warning btn-detail"
                                    href="{% url 'events:edit' pk=event.pk %}?next={{ request.get_full_path }}"><i
                                        class="fas fa-pen fa-fw mr-1"></i>{% trans "Edit Event" %}</a>
                                <a class=" btn btn-danger btn-detail"
                                    href="{% url 'events:delete' pk=event.pk %}?next={{ request.get_full_path }}"><i
                                        class="fas fa-trash fa-fw mr-1"></i>{% trans "Delete Event" %}</a>
                                {% endif %}
                            </div>
                            <div class="col-md-8 col-lg-9 px-0 pl-md-2">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <tbody>
                                            <tr>
                                                <th scope="row">Event ID</th>
                                                <td>{{ event.pk }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Title" %}</th>
                                                <td>{{ event.title }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Description" %}</th>
                                                <td>{{ event.description|urlize }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Start Date" %}</th>
                                                <td>{{ event.start_date }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "End Date" %}</th>
                                                <td>{{ event.end_date }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Location" %}</th>
                                                <td>{{ event.location }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Max Participants" %}</th>
                                                {% if event.max_participants == -1 %}
                                                <td>&#8734;</td>
                                                {% else %}
                                                <td>{{ event.max_participants }}</td>
                                                {% endif %}
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Participants" %}</th>
                                                <td>
                                                    {% for participant in event.participants.all %}
                                                    <a
                                                        href="{% url 'accounts:detail' pk=participant.pk %}?next={{ request.get_full_path }}">{{ participant.full_name }}</a><br>
                                                    {% endfor %}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}